# validate_scenario

Check a multi-device scenario without running it.

Check a multi-device scenario without running it.

| | |
|---|---|
| REST operation | [`validateScenario`](/reference/rest/scenarios/#validatescenario) (`POST /v1/scenarios/validate`) |
| Needs a device | no |
| Read only | yes |
| Profiles | `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `yaml` | no | string | body `yaml` | Scenario in Silan YAML. |
| `path` | no | string | body `path` | Path to a scenario file on this Mac. Refused over the relay. |

## Example call

```text
validate_scenario({})
```